<form [formGroup]="formGroup">
  <mat-card class="margin-1">
    <mat-card-title>Trigger and Constraint Schemes - New</mat-card-title>

    <mat-form-field class="full-width margin-top-1" appearance="outline">
      <mat-label>Name</mat-label>
      <input id="form-name-input" matInput [formControlName]="name">
      <mat-error class="font-500" *ngIf="formGroup.controls[name].hasError('required')">
        Name is required
      </mat-error>
    </mat-form-field>

    <mat-form-field appearance="legacy" class="full-width">
      <mat-label>Trigger Name</mat-label>
      <mat-select id="form-trigger-name-dropdown" [formControlName]="triggerName">
        <mat-option *ngFor="let item of dropdownItems" [value]="item">
          {{item}}
        </mat-option>
      </mat-select>
      <mat-error class="font-500" *ngIf="formGroup.controls[triggerName].hasError('required')">
        You must make a selection
      </mat-error>
    </mat-form-field>

    <mat-card>
      <mat-card-subtitle>Trigger Date Known</mat-card-subtitle>
      <mat-radio-group aria-label="Select an option" color="primary" [formControlName]="triggerDateKnown">
        <mat-radio-button id="form-trigger-date-lawful-radio" value="Lawful" class="margin-right-1">Lawful</mat-radio-button>
        <mat-radio-button id="form-trigger-date-service-category-radio" value="Service Category" class="margin-right-1">Service Category</mat-radio-button>
        <mat-radio-button id="form-trigger-date-item-radio" value="Item" class="margin-right-1">Item</mat-radio-button>
      </mat-radio-group>
    </mat-card>

    <mat-card class="margin-top-1">

      <mat-checkbox id="form-is-interim-trigger-checkbox" color="primary" [formControlName]="isInterimTrigger">Is Interim Trigger?</mat-checkbox>

      <mat-form-field appearance="legacy" class="full-width margin-top-1">
        <mat-label>Interim Trigger Name</mat-label>
        <mat-select id="form-interim-trigger-name-dropdown" [formControlName]="interimTriggerName">
          <mat-option *ngFor="let item of dropdownItems" [value]="item">
            {{item}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </mat-card>

    <mat-form-field class="full-width margin-top-1" appearance="legacy">
      <mat-label>Constraint Name</mat-label>
      <mat-select id="form-constraint-name-dropdown" [formControlName]="constraintName">
        <mat-option *ngFor="let item of dropdownItems" [value]="item">
          {{item}}
        </mat-option>
      </mat-select>
      <mat-error class="font-500" *ngIf="formGroup.controls[constraintName].hasError('required')">
        You must make a selection
      </mat-error>
    </mat-form-field>

    <mat-card>
      <mat-card-subtitle>Constraint Value Known</mat-card-subtitle>
      <mat-radio-group aria-label="Select an option" color="primary" [formControlName]="constraintValueKnown">
        <mat-radio-button id="form-constraint-lawful-radio" value="Lawful" class="margin-right-1">Lawful</mat-radio-button>
        <mat-radio-button id="form-constraint-service-category-radio" value="Service Category" class="margin-right-1">Service Category</mat-radio-button>
        <mat-radio-button id="form-constraint-item-radio" value="Item" class="margin-right-1">Item</mat-radio-button>
      </mat-radio-group>
    </mat-card>

    <mat-form-field class="full-width margin-top-1" appearance="legacy">
      <mat-label>Effective Deadline Info</mat-label>
      <mat-select id="form-effective-deadline-dropdown" [formControlName]="effectiveDeadlineInfo">
        <mat-option *ngFor="let item of dropdownItems" [value]="item">
          {{item}}
        </mat-option>
      </mat-select>
      <mat-error class="font-500" *ngIf="formGroup.controls[effectiveDeadlineInfo].hasError('required')">
        You must make a selection
      </mat-error>
    </mat-form-field>

    <mat-form-field class="full-width" appearance="legacy">
      <mat-label>Related Processing Basis Reference Type</mat-label>
      <input type="text"
             id="form-related-processing-input"
             matInput
             [formControlName]="relatedProcessingBasisReferenceType"
             [matAutocomplete]="auto">
      <mat-autocomplete id="form-related-processing-autocomplete" autoActiveFirstOption #auto="matAutocomplete">
        <mat-option *ngFor="let item of filteredItems | async" [value]="item">
          {{item}}
        </mat-option>
      </mat-autocomplete>
    </mat-form-field>

    <mat-card>
      <mat-checkbox id="form-purma-checkbox" color="primary" class="margin-right-1" [formControlName]="purma">PURMA</mat-checkbox>
      <mat-checkbox id="form-nntm-checkbox" color="primary" class="margin-right-1" [formControlName]="nntm">NNTM</mat-checkbox>
      <mat-checkbox id="form-pdb-checkbox" color="primary" class="margin-right-1" [formControlName]="pdb">PDB</mat-checkbox>
      <mat-checkbox id="form-dsart-checkbox" color="primary" class="margin-right-1" [formControlName]="dsart">DSART</mat-checkbox>
    </mat-card>

    <mat-form-field class="full-width margin-top-1" appearance="outline">
      <mat-label>Description</mat-label>
      <textarea id="form-description-textarea" matInput [formControlName]="description"></textarea>
    </mat-form-field>

    <button id="form-close-btn" mat-raised-button class="margin-right-1" type="button" [routerLink]="'/'">
      <mat-icon>close</mat-icon>
      Close
    </button>
    <button id="form-save-btn" mat-raised-button (click)="onSubmit()" [disabled]="formGroup.invalid" type="submit">
      <mat-icon>save</mat-icon>
      Save
    </button>

  </mat-card>
</form>

